#pragma once

#include "Mix/Tool/Win32/Core/Object.h"

namespace Mix{ namespace Tool{ namespace Win32{ namespace Dynamics{

	class Shape : public Mix::Tool::Win32::Object
	{
	public:
		virtual ~Shape( void ) {}
		virtual void* Bullet_GetCollisionShape( void ) = 0;

	public:
		MIX_OBJECT_TYPE( Mix::Tool::Win32::Object::DYNAMICS__SHAPE, Mix::Tool::Win32::Object )
	};

}}}}
